Rensei docs

Read one program-ledger record.

Read one program-ledger record. - Rensei REST API operation reference.

GET
/api/cli/programs/{programId}

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

programId*string
Match^prog_[0-9a-f]{32}$

Response Body

Program-ledger record.

application/json
  1. response
ledgerVersion*string
programVersion*string
programId*string
Match^prog_[0-9a-f]{32}$
externalKey*string
Length1 <= length <= 512
title*string
Length1 <= length <= 512
scope*|
origin*|null
createdByPrincipalRef*string
Length1 <= length
author*
createdAt*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
Example Request
curl -X GET 'https://app.rensei.ai/api/cli/programs/string'
Example Response
{  "ledgerVersion": "rensei.session-ledger/v1alpha1",  "programVersion": "rensei.session-ledger.program/v1alpha1",  "programId": "string",  "externalKey": "string",  "title": "string",  "scope": {    "kind": "project",    "projectId": "string"  },  "origin": {    "sessionId": "string",    "graphId": "string",    "projectId": "string",    "phase": "string",    "stateVersion": 1  },  "createdByPrincipalRef": "string",  "author": {    "kind": "human",    "id": "string"  },  "createdAt": "2019-08-24T14:15:22Z"}